Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Не устанавливается STM32CubeIDE в Ubuntu 20.04.01  (Прочитано 2544 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AlexeiAlexei

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Здравствуйте!

Подскажите, пожалуйста, почему не устанавливается STM32CubeIDE в Ubuntu 20.04.01
Скриншоты из терминала прилагаю.

(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)

Оффлайн andytux

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 7057
    • Просмотр профиля
Re: Не устанавливается STM32CubeIDE в Ubuntu 20.04.01
« Ответ #1 : 07 Марта 2021, 16:00:30 »
Доустанавливался.
Цитировать
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.
Почти неизбежная ошибка, когда пытаются ставить всякие левые программы. Левые в данном случае - все, кроме стандартных репозиториев для данной конкретной версии системы.
Пока не исправишь, не сможешь ничего установить. Поищи на форуме, едва-ли не каждую неделю поднимается такой вопрос.
А с питоном нужно быть вдвойне осторожней.

Оффлайн AlexeiAlexei

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не устанавливается STM32CubeIDE в Ubuntu 20.04.01
« Ответ #2 : 07 Марта 2021, 16:11:04 »
andytux, спасибо, конечно, но хотелось бы рекомендаций по конкретным действиям.

Оффлайн andytux

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 7057
    • Просмотр профиля
Re: Не устанавливается STM32CubeIDE в Ubuntu 20.04.01
« Ответ #3 : 07 Марта 2021, 16:52:24 »
Даже не надо далеко идти, вот, вот и т.д. и т.п.

Оффлайн AlexeiAlexei

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не устанавливается STM32CubeIDE в Ubuntu 20.04.01
« Ответ #4 : 07 Марта 2021, 23:55:22 »
andytux, возможно проблема на стороне STM.
С версией STM32CubeIDE Debian Linux Installer 1.6 были вышеуказанные проблемы.
А версия STM32CubeIDE Generic Linux Installer 1.5 сразу встала нормально.
Дистрибутивы скачивал отсюда:
https://www.st.com/en/development-tools/stm32cubeide.html#get-software
Проверка с помощью Synaptic показала что в системе нет поврежденных пакетов.
После этого задумался о другой версии дистрибутива.

В любом случае спасибо за участие.

 

Страница сгенерирована за 0.034 секунд. Запросов: 21.